package com.sooka.sponest.monitor.remoteapi.service.center.event.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 事件类型对象 centerevent_t_eventtype
 * 
 * @author ruoyi
 * @date 2022-08-27
 */
public class CentereventTEventtype extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 事件类型名称 */
    @Excel(name = "事件类型名称")
    private String eventTypeName;

    /** 父类 */
    @Excel(name = "父类")
    private String parentId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setEventTypeName(String eventTypeName) 
    {
        this.eventTypeName = eventTypeName;
    }

    public String getEventTypeName() 
    {
        return eventTypeName;
    }
    public void setParentId(String parentId) 
    {
        this.parentId = parentId;
    }

    public String getParentId() 
    {
        return parentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("eventTypeName", getEventTypeName())
            .append("parentId", getParentId())
            .toString();
    }
}
